# Uses of Interface
org.apache.datasketches.common.positional.PositionalSegment

Packages that use PositionalSegment
Package
Description
org.apache.datasketches.common.positional
This package provides the classes that define and implement a relative positional API.

## Uses of PositionalSegment in org.apache.datasketches.common.positional

Methods in org.apache.datasketches.common.positional that return PositionalSegment
Modifier and Type
Method
Description
`PositionalSegment`
PositionalSegment.`asSlice()`
Returns a slice of this PositionalSegment at the current position.
`static PositionalSegment`
PositionalSegment.`wrap(MemorySegment seg)`
Gets an instance of this PositionalSegment.